import { ProductSchema } from '@byondrnd/showroom-schemas';
import { Visualizer } from '../../../Visualizer';
import { LayerDisplay } from './LayerDisplay';
import { IFavorite, IFavoriteSet, IApplication, IProduct } from '../../../EventSystem/EventTypes';
export declare class ProductsManager {
    visualizer: Visualizer;
    displayedProductsMap: Map<string, LayerDisplay>;
    favoriteProducts: Array<IFavorite>;
    favoriteSets: Array<IFavoriteSet>;
    cart: string[];
    maxFaceSize: number;
    constructor(visualizer: Visualizer, maxFaceSize: number);
    displayProduct(productSku: string, application: IApplication): Promise<any>;
    undisplayProduct(product: ProductSchema.IProduct): void;
    addProductToCart(sku: string): void;
    removeProductFromCart(sku: string): void;
    getFavoriteProducts(): Array<IFavorite>;
    addProductToFavorites(productSku: string, application: IApplication): IProduct;
    removeProductFromFavorites(productSku: string, application: IApplication): IProduct;
    getFavoriteSets(): IFavoriteSet[];
    addFavoriteScene(experienceId: string, zoneIndex: string): Promise<IFavoriteSet>;
    removeFavoriteScene(setId: string): IFavoriteSet;
    getDisplayedProduct(application: IApplication): IProduct;
    getDisplayedFormatedProduct(): Array<IProduct>;
    getApplicationLayerDisplay(application: string): Promise<LayerDisplay>;
    getDisplayedProducts(): Array<ProductSchema.IProduct>;
}
